#pragma once

#include "MAXProxies.hpp"
#include <Proxies\FlattenHierarchy.hpp>

namespace MAXProxies {

	class MAXFlattenHierarchyProcess:
		public Proxies::FlattenHierarchyProcess
	{
	public:
		MAXFlattenHierarchyProcess(bool bSuppress=true):
			FlattenHierarchyProcess(NULL, bSuppress, NULL),
			iPointer(NULL),
			progress(0)
				{}

		MAXFlattenHierarchyProcess(
			Stuff::NotationFile *data_file, 
			Interface *i, 
			int p, 
			bool bSuppress = true,
			LPVOID fcn = NULL
		);

		void
			FlattenHierarchyCallback(Proxies::GenericProxy *proxy);

		Interface 
			*iPointer;
		int  
			progress;
	};
}
